﻿using Styx.Common;
using System;

namespace SVNUpdater.Helpers
{
    public class PluginLogger : IPluginLogger
    {
        public void Write(string message)
        {
            if (Logging.LoggingLevel >= LogLevel.Normal)
            {
                Logging.Write("[SVNUpdater] " + message);
            }
        }

        public void WriteError(Exception e)
        {
            if (Logging.LoggingLevel >= LogLevel.None)
            {
                Logging.Write("[SVNUpdater] " + e.Message);
                WriteVerbose(e.ToString());
            }
        }
        public void WriteError(string message, Exception e)
        {
            if (Logging.LoggingLevel >= LogLevel.None)
            {
                Logging.Write("[SVNUpdater] " + message + ". " + e.Message);
                WriteVerbose(e.ToString());
            }
        }

        public void WriteVerbose(string message)
        {
            if (Logging.LoggingLevel >= LogLevel.Verbose)
            {
                Logging.WriteVerbose("[SVNUpdater] " + message);
            }
        }
    }
}
